Bug 10345 - Copy number should be incremented when adding multiple items at once
Summary: Copy number should be incremented when adding multiple items at once
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Björn Nylén
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 22647
  Show dependency treegraph
 
Reported: 2013-05-27 12:27 UTC by Katrin Fischer
Modified: 2019-10-14 20:02 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 10345: Increment copy number when adding multiple copies. (2.65 KB, patch)
2019-03-29 08:09 UTC, Björn Nylén
Details | Diff | Splinter Review
Bug 10345: Increment copy number when adding multiple copies. (2.38 KB, patch)
2019-03-29 20:55 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 10345: Increment copy number when adding multiple copies. (2.44 KB, patch)
2019-04-03 12:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-05-27 12:27:33 UTC
When adding multiple items in cataloguing, the copy number is not incremented for the generated additional items.

To test:
- Add new items to any of your records
- Make sure you enter a copy number
- Choose "Add multiple copies"
- Enter number of items to be generaded
- Click Add
- Verify copynumber is empty for all generated items except the first
Comment 1 Jason O'Neil 2014-11-24 02:18:15 UTC
Hi

I'm happy to have a look at this bug as it's frustrating one of our librarians no-end.  I'm a developer, though not particularly familiar with the Koha codebase (I have done a few custom patches before, but not submitted anything back for inclusion).

Is there a specific process to follow here, or a regular contributor happy to help me out, or should I just try fix it on my own and then submit a patch?

Thanks!

Jason
Comment 2 Katrin Fischer 2014-11-24 06:35:03 UTC
Hi Jason, 
if you can upload a patch and change the status to "Needs sign-off" that would be great. There is some information about the workflow on the wiki: http://wiki.koha-community.org/wiki/Development_workflow#Steps
Let us know if we can help.
Comment 3 Björn Nylén 2019-03-28 11:38:55 UTC
This issue came up at the swedish Koha users hackfest so we made a patch. Will try to submit it shortly.
Comment 4 Björn Nylén 2019-03-29 08:09:43 UTC
Created attachment 87153 [details] [review]
Bug 10345: Increment copy number when adding multiple copies.

To test:
1. Add multiple copies of an item with data in the 'Copy number' field. Note that tha data will be identical for all items.
2. Apply patch.
3. Add multiple copies of an item with a positive integer (ie. only digits) in the 'Copy number' field. Note that the copy number is incremented for each item.
4. Add multiple copies of an item with some other type of data in the 'Copy number' field. Note that the copy number field remains unchanged for the added items.
Comment 5 Pierre-Marc Thibault 2019-03-29 20:55:07 UTC
Created attachment 87237 [details] [review]
Bug 10345: Increment copy number when adding multiple copies.

To test:
1. Add multiple copies of an item with data in the 'Copy number' field. Note that tha data will be identical for all items.
2. Apply patch.
3. Add multiple copies of an item with a positive integer (ie. only digits) in the 'Copy number' field. Note that the copy number is incremented for each item.
4. Add multiple copies of an item with some other type of data in the 'Copy number' field. Note that the copy number field remains unchanged for the added items.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 6 Katrin Fischer 2019-04-03 12:37:01 UTC
Created attachment 87353 [details] [review]
Bug 10345: Increment copy number when adding multiple copies.

To test:
1. Add multiple copies of an item with data in the 'Copy number' field. Note that tha data will be identical for all items.
2. Apply patch.
3. Add multiple copies of an item with a positive integer (ie. only digits) in the 'Copy number' field. Note that the copy number is incremented for each item.
4. Add multiple copies of an item with some other type of data in the 'Copy number' field. Note that the copy number field remains unchanged for the added items.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-04-03 12:37:19 UTC
Thx Björn for taking care of such an 'oldie'
Comment 8 Nick Clemens 2019-04-05 13:09:33 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-15 10:41:29 UTC
Pushed to 18.11.x for 18.11.05
Comment 10 Lucas Gass 2019-04-15 17:27:59 UTC
backported to 18.05.x for 18.05.12